## ros-one-turtle-tf 0.2.4-0jammy.20251023.0948

=== debian/changelog ===
ros-one-turtle-tf (0.2.4-0jammy.20251023.0948) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- William Woodall <william@osrfoundation.org>  Thu, 23 Oct 2025 09:48:24 +0000

ros-one-turtle-tf (0.2.4-0jammy) jammy; urgency=high

  * Do away with boost::bind (#86 <https://github.com/ros/geometry_tutorials/issues/86>)
  * Contributors: Michael Görner

 -- William Woodall <william@osrfoundation.org>  Thu, 10 Apr 2025 00:00:00 -0000

ros-one-turtle-tf (0.2.3-0jammy) jammy; urgency=high

  * Bump CMake version to avoid CMP0048 warning (#29 <https://github.com/ros/geometry_tutorials//issues/29>)
  * Merge pull request #26 <https://github.com/ros/geometry_tutorials//issues/26> from jwhendy/tutorial-node-name-fix
  * updated node names in all tf and tf2 nodes/.py files to match filenames for simplicity
  * Merge pull request #22 <https://github.com/ros/geometry_tutorials//issues/22> from 23pointsNorth/patch-1
  * Clean up code
  * Merge pull request #20 <https://github.com/ros/geometry_tutorials//issues/20> from romainreignier/indigo-devel
  * Add install rule for turtle_tf_message_filter
  * Contributors: Alejandro Hernández Cordero, Daniel Angelov, John Henderson, Romain Reignier, Tully Foote

 -- William Woodall <william@osrfoundation.org>  Thu, 02 Apr 2020 00:00:00 -0000

ros-one-turtle-tf (0.2.2-0jammy) jammy; urgency=high

  * remove old roslib invocations
  * Contributors: Tully Foote

 -- William Woodall <william@osrfoundation.org>  Tue, 03 Mar 2015 00:00:00 -0000

ros-one-turtle-tf (0.2.1-0jammy) jammy; urgency=high

  * continuing on error instead of executing the rest of the block. Fixes #13 <https://github.com/ros/geometry_tutorials/issues/13>
  * merging conflicting pull requests
  * catch tf.ExtrapolationException
    see http://answers.ros.org/question/12024/tftutorials-demo-problem-ros-electric/, this still happens in hydro
  * Fixes for "Using sensor messages with tf" tutorial.
  * add start_debug_demo.launch, that is introduced in http://wiki.ros.org/tf/Tutorials/Debugging%20tf%20problems
  * Fix wrong order of arguments to q.setRPY in commit 82964f6.
  * Fix wrong order of arguments to q.setRPY in commit 82964f6.
    The API shows the order is:
    void    setRPY (const tfScalar &roll, const tfScalar &pitch, const tfScalar &yaw)
    Line 14 should read:
    q.setRPY(0, 0, msg->theta);
    This fault breaks this tutorial:
    http://wiki.ros.org/tf/Tutorials/Writing%20a%20tf%20broadcaster%20%28C%2B%2B%29
    In a way that doesn't show up until the subsequent tutorial, where the
    follower doesn't follow. The fix to line 14 proposed above fixes the
    subsequent tutorial.
    The problem is discussed in this thread:
    http://answers.ros.org/question/45884/turtle-tf-tutorial-fails-to-work/?answer=47845#post-id-47845
    and an incorrect fix was applied to the wiki. The note in the wiki under
    the code, which says the code should read:
    transform.setRotation( tf::Quaternion(0, 0, msg->theta) );
    is wrong - it should say transform.setRPY.
  * Added queue size for Publisher to avoid warning.
  * add queue_size argument to rospy.Publisher
    ros/ros_comm#169 <https://github.com/ros/ros_comm/issues/169>
  * add queue_size argument to rospy publisher
    ros/ros_comm#169 <https://github.com/ros/ros_comm/issues/169>
  * add queue_size
    ros/ros_comm#169 <https://github.com/ros/ros_comm/issues/169>
  * Adding queue_size argument to publisher
    ros/ros_comm#169 <https://github.com/ros/ros_comm/issues/169>
  * Contributors: Denis Štogl, K.mura, Kei Okada, Paul Bouchier, Tully Foote, spourmehr

 -- William Woodall <william@osrfoundation.org>  Wed, 17 Dec 2014 00:00:00 -0000

ros-one-turtle-tf (0.2.0-0jammy) jammy; urgency=high

  * Fixed catkinized
  * Updated dependency on turtlesim, turtlesim switched to using geometry_msgs/Twist from turtlesim/Velocity msgs

 -- William Woodall <william@osrfoundation.org>  Fri, 28 Jun 2013 14:14:25 +0000
