=== debian/control ===
Source: ros-one-turtle-tf
Section: misc
Priority: optional
Maintainer: William Woodall <william@osrfoundation.org>
Build-Depends: debhelper (>= 9.0.0), ros-one-catkin, ros-one-geometry-msgs, ros-one-roscpp, ros-one-rospy, ros-one-std-msgs, ros-one-tf, ros-one-turtlesim
Homepage: http://ros.org/wiki/turtle_tf
Standards-Version: 3.9.2

Package: ros-one-turtle-tf
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-one-geometry-msgs, ros-one-roscpp, ros-one-rospy, ros-one-std-msgs, ros-one-tf, ros-one-turtlesim
Description: turtle_tf demonstrates how to write a tf broadcaster and listener with the turtlesim.
 The tutle_tf_listener commands turtle2 to follow turtle1 around as you drive turtle1 using the keyboard.
